FileVoyager Changelog
---------------------
Note: The release date corresponds to the version of the release. Ex: Release 26.4.26 = 26/04/26 = 26 April 2026

Release 26.4.26.1 (Hotfix)
-----------------
- Fix: Viewer: Multimedia - Fixed a playback issue with DirectShow 

Release 26.4.26
---------------
+ New: Global: 
  - Added Korean translations (LLM-translated).
  - Improved support for scaled fonts when increased via Windows Accessibility settings.
  - Settings are now saved instantly upon change (instead of on exit) to prevent data loss in case of crash (https://www.filevoyager.com/forums/topic/full-reset-after-every-closure-no-persistence).
  - Introduced a unified mask management system with predefined file-type groups (e.g., "Images", "Videos").
+ New: Archives: 
  - Added read-only support for multiple formats:
    RAR5, EXE/SFX DOS, ZStd, VHDX, Coff, Ext, VMDK, VDI, QCow, GPT, NTFS, FAT, VHD, IHex.
+ New: Viewer: Multimedia:
  - Added playback speed control.
  - Added jump controls (backward 15 seconds / forward 30 seconds).
  - Added Cover Art support for Ogg Vorbis, FLAC, Ape, and MP4.
+ New: Browse: 
  - Added support for displaying network shares in the Tree View
    (injection of browsed UNC path, not automatic discovery):
    https://www.filevoyager.com/forums/topic/network-share-unc/
  
~ Chg: Global: 
  - Updated Delphi libraries to their latest stable versions.
  - Updated third-party components to latest stable versions (7-Zip, Scintilla, SumatraPDF).
  - Improved DWG support (now handles recent DWG files with PNG previews).
  - Performed extensive code refactoring to improve maintainability and extensibility.
  - Fully revised English translation using LLM for better readability.
  - Minor UI improvements.
~ Chg: Viewer: 
  - Multimedia: Optimized UI layout to better utilize space for control buttons.

- Fix: Global: 
  - Fixed Windows Taskbar preview issue causing "ghost" windows in FileVoyager (https://www.filevoyager.com/forums/topic/copy-move/).
  - Various minor bug fixes.
- Fix: Browse: 
  - Fixed an issue where clicking a filter button affected the focused list instead of the list under the button.
- Fix: Archives:
  - Fixed temporary file cleanup after viewing files inside archives.
  - Fixed broken support for multi-volume archives.

Release 25.12.5
---------------
+ New: Duplicate File Finder: Added this new tool to help find and remove unnecessary Files.
+ New: Viewer: Added a minimap for text with syntax highlighting views.
+ New: Viewer: Added map tiles caching when provider uses Mercator projection, with automatic cleanup of tile caches.
+ New: Global: When trying an operation on a locked file, a dialog windows will display which process is locking a file, giving opportunity to try unlocking the file (this detection uses the Windows' Restart Manager).
+ New: Viewer: Syntax Highlighting is now supported for GetText, SilkTest, Pig, Hive SQL, Hollywood, and Meson syntaxes.
+ New: AppBar: Uses 'shell:appsFolder' for listing installed applications in addition to traditional methods.
+ New: Open With: The default app associated with an extension is now listed on top and separated by a separator line from the rest of apps.
+ New: Browse: Added jump-to-item by typing on the keyboard for all the views.
+ New: Global: FileVoyager Tools are now displayed in the central bar and in the File menu entry at the top.
+ New: Browse: Now supports disk sizes up to multiple petabytes.
+ New: Preferences: Added UI option allowing to use Windows' own file operation mecanism instead of the intern one. This feature is already old in FileVoyager, but it was not possible to configure it.
+ New: Web: Preferences has a help page.
+ New: Viewer: Added provider attributions under the map when media files have geolocation.
+ New: MainForm: RSS feed now includes a “Visit website…” entry with Internet icon (Classic & Ribbon menus).

~ Chg: Search: Optimized mask handling, now supports multiple masks natively. The search is now way faster when using multiple masks than before.
~ Chg: FileOps: Operation shortcuts like F5 (Copy to...") and F6 (Move to...) applied to the TreeView are now executed from within the TreeView itself.
~ Chg: Browse: Secondary fields are now populated in Known Folder MyDocuments and other Libraries folders.
~ Chg: Favorites: Migrated to Known Folders API to modernize the "System" forlders listing.
~ Chg: DrivePanel: Replaced WM_DEVICECHANGE with SHChangeNotifyRegister to detect added drives (e.g. when using Dokan). WM_DEVICECHANGE was not receiving notifications for certain drive types.
~ Chg: Global: Skin is now stored in INI directly when changed instead of passing as process parameter.
~ Chg: Global: All MessageBox instructions have been replaced in order to always appears above the window and not on another screen in multi-screen setups.
~ Chg: Global: All the hint windows are now themed.
~ Chg: Diff: Renamed ‘recursive’ to ‘Include subfolders’.
~ Chg: AppBar: Long hint content is now compacted and ellipsed.
~ Chg: AppBar: Community feedback: Drag & drop is required for 'Send To' actions and it was not obvious. Now single click is supported and uses the focused file.
~ Chg: Viewer: Migrated Scintilla APIs to their latest versions (SCI_GETTEXTRANGEFULL, SCI_FINDTEXTFULL, and SCI_FORMATRANGEFULL).
~ Chg: INI: Date saving improved using numerical value, and not formatted dates anymore. This brings better consistency when using a portable version on different computers with different Regional Settings.
~ Chg: AppBar: Added detection of DropHandlers to provide correct DROPEFFECT (eg: Store apps are not DropHandlers).
~ Chg: AppBar: Implemented auto cleanup for stale cached icons.
~ Chg: Search: Enlarged ‘Advanced search…’ button.
~ Chg: Lang: Untranslated literals added to internationalization.
~ Chg: Global: Improvements in theme EOS rendering.

- Fix: Browse: Ctrl+C and Ctrl+V behavior was unreliable due to a wrong development approach. Completely rewritten and working fine now.
- Fix: Diff Dir: Fixed issue with hints and labels that were mixed.
- Fix: Viewer: Syntax highlighting selection in right-to-left languages now behaves correctly.
- Fix: Global: Fixed language not saved correctly from settings.
- Fix: Preferences: List of available Maps providers did not update when adding a new API key.
- Fix: Preferences: Maps settings dialog was empty when opened from MainForm.
- Fix: Diff Dir: Some options were not saved correctly into the INI.
- Fix: Hash/Diff: Language was not aligned with main process of FV when launching the tools.
- Fix: Browse: Fixed pointer corruption.
- Fix: AppBar: Bluetooth icon did not refresh correctly.
- Fix: Viewer: Fixed syntax highlighting compatibility issue in x64.
- Fix: Global: Fixed multiple memory corruptions caused by incorrect usage of Pascal's New() directive.
- Fix: Browse: Fixed TAB key focusing between panels.

Release 25.8.7
---------------
+ New: Browse and Viewer: Added OpenWith tool, offering a visual shortcut to programs associated with the current file.
+ New: Diff: Save the position of toolbars.
+ New: Viewer (MM): Default album art is now shown when a file has no cover image.
+ New: Viewer (Embedded): Added a button to detach the embedded viewer and open it in an external viewer.
+ New: Viewer: When a term search reaches the end and wraps around, the title bar now blinks to notify the user.
+ New: Viewer (MM): Simple audio playback is now also available in fullscreen mode.
+ New: Viewer: File icons are now shown in the playlist pane.
+ New: Browse (Crumbar): Each Crumbar component is now autonomous: it supports its own context menu and drag-and-drop actions.
+ New: Browse (Search): Introduced a lightweight "Search Lite" tool with essential search capabilities. An "Advanced" button opens the full search interface.
+ New: Browse (Search): Added "Open parent folder in FV" to the context menu of search results.
+ New: Hash: Added support for SHA-3 (256, 384, 512-bit) hash algorithms.
~ Chg: Viewer (MM): Sleep mode is now prevented during playback, even when not in fullscreen.
~ Chg: Navigation: Added the ability to open the File menu using a right-click.
~ Chg: Viewer (Playlist): Playlist pane width is now saved to the .ini file.
~ Chg: Browse (Search): Improved compactness of subfolder depth selection controls.
~ Chg: Browse (Search): Search result context menus now use a custom menu instead of the Windows Shell menu.
~ Chg: Browse: Improved support for long paths (over 260 characters). Note: support is best-effort due to Windows API limitations.
- Fix: Browse: Fixed TAB key behavior to correctly switch focus between the two file lists.
- Fix: Viewer (BeatDrop): On some systems, BeatDrop triggered a startup error and its window couldn’t be closed. This is now fixed: in case of failure, the Viewer will fall back to displaying album covers.
- Fix: Viewer: Switching the application theme could unexpectedly change the display mode.
- Fix: Viewer: When performing a search in syntax-highlighted code, the highlighting was lost. This is now resolved.
- Fix: Viewer (Embedded): When reopened after being closed, the embedded viewer would no longer load the file. This is fixed.
- Fix: Viewer: Corrected the visibility of "embedded" icons (exit and detach) depending on whether the Viewer is standalone or embedded.
- Fix: Global: Some components lost the Dark theme after resuming from Windows hibernation.
- Fix: Browse: The "Share" option in the context menu (outside of OneDrive) was not working. Now fixed.
- Fix: Browse (Search): Fixed a crash that occurred when a search ended while the search panel was not visible.
- Fix: Hash: Fixed a bug where a completed hash thread could not be restarted. The thread is now properly recreated.

Release 25.6.14
---------------
+ New: Global - Major update! FileVoyager is now available in 64-bit after significant effort to migrate and adapt the code base.
+ New: Viewer: MM - Replaced the legacy Sonique audio visualizations with BeatDrop by Maxim Volskiy, a standalone implementation of MilkDrop (https://github.com/mvsoft74/BeatDrop).
+ New: Viewer: Maps - Switched from Bing Maps to Azure Maps, as Bing Maps is being deprecated by Microsoft.
+ New: Browse: Search - Added an option to exclude Reparse Point folders (Symlinks) during search traversal.
+ New: Diff: Folder comparison - New options to ignore Reparse Points, Junctions, and Hard Links.
~ Chg: Diff: Folder comparison - Greatly improved performance and speed.
~ Chg: Diff: Folder comparison - Added more detailed information to the bottom status bar.
~ Chg: Diff: File comparison - Optimized text diff by minimizing line fuzziness (e.g., removing leading and trailing blanks).
~ Chg: Global: Packaging - Improved VirusTotal scores by fine-tuning compilation options, removing Sonique .svp files, and recompiling OpenImageViewer.
- Fix: Browse - Fixed an issue where the focused item would scroll to the bottom after each list refresh.
- Fix: Browse - Media files associated with MS Photos would not launch due to a malformed URI; now corrected.
- Fix: Browse - Fixed frequent freezing of the infotip popup window in file lists.
- Fix: Global - Resolved a crash caused by concurrent write access to the main ini file by multiple instances of FileVoyager.
- Fix: Viewer: Maps - Map settings were being overwritten by outdated values from the main process.
- Fix: Viewer: Options - Window size was saved in a shortened form in the ini file, causing it to shrink more with each reopening.
- Fix: Viewer: Text - Text files were opening in Windows mode by default; now they correctly prefer native text mode.

Release 25.2.4
---------------
- Fix: File Operation: Fixed a severe crash caused by a memory overflow and corruption when starting an operation (copy, move or delete)
- Fix: Global: Fixed a few packaging mistakes (presence of a useless "7z.dll.9.20" file in \Resources.7zip, Presence of OpenImageViewer.exe and OpenWindowsPhotoViewerSource.url.url in the Resource\VLC folder)

Release 25.1.26
---------------
+ New: Global: Added Danish Translation (Machine translated).
+ New: Viewer: SumatraPDF - added support of Sumatra's Dark Theme
+ New: Viewer: SumatraPDF - added support of Sumatra's Translations
+ New: Diff: Dir Comparison - added a toggle to ignore/consider file content in the progress windows 
+ New: Diff: File Comparison - added the detection of a file change and prompts the user to reload in case of change
~ Chg: Global: The RSS fetch is now in a separate thread, not blocking the UI anymore
~ Chg: Diff: Some UI changes 
~ Chg: Viewer: Multimedia - Some UI changes 
~ Chg: Global: Optimized the theming/skinning mechanism to consume less resources when theme is applied
~ Chg: Viewer: Playlists - now m3u8 playlists are created/saved without UTF BOM, as the BOM in not foreseen/supported by the standard
~ Chg: Viewer: Playlists - the playlist panel now supports Drag & Drop of files
~ Chg: Preferences: The window now supports resizing (https://www.filevoyager.com/forums/topic/make-prefs-panel-resizeable-or-small-with-scrollbar)
- Fix: Diff: File Comparison - fixed a misalignement between text and diffs drawing
- Fix: Diff: File Comparison - fixed a display issue where lines were elipsed and not fully visible
- Fix: Diff: File Comparison - Solved a crash that use to occur when closing a comparison window
- Fix: File Operations: Fixed an issue where Elevated operations were not supporting non-latin file names 
- Fix: File Operations: Fixed a display issue in the progress window with right-to-left texts
- Fix: Multiple tools were not supporting Unicode when saving files (Hash, Playlist, Diff file, Diff folder)
- Fix: Search: Columns were misaligned

Release 24.11.1
---------------
+ New: Global: Added Japanese Translation (Machine translated).
+ New: Navigation: FileVoyager now supports the display of cloud sync status icons (e.g., OneDrive, iCloud). You can see if an item is synced, available online/offline, etc., directly within FileVoyager.
+ New: Viewer: Added support for a new image format: QOI (https://qoiformat.org/), thanks to Angus Johnson's QOI wrapper for Delphi (https://github.com/AngusJohnson/TQoiImage).
+ New: Navigation: When opening an image where the default app is Microsoft Photos, navigation features such as left/right scrolling and slideshow are now possible.
+ New: Navigation: Added filter action buttons to the list's toolbar.
~ Chg: Navigation: The marine blue color representing NTFS compressed files/folders was hard to read in Dark Mode. It’s now a turquoise blue, improving readability.
~ Chg: Navigation: The 64-bit context menu is now themed in Dark Mode when FV is in Dark Mode.
~ Chg: Navigation: In the tree view, the highlighted current folder was hard to identify. The background is now a lighter grey.
~ Chg: File Operations: In the confirmation window, "Move - Rename" has been simplified to "Move" since the renaming feature was never implemented.
~ Chg: Archive: Previously, if archiving wasn't confirmed before starting compression, the file/folder selection was reset and lost. Now, if the operation is canceled, the selection remains.
~ Chg: Navigation: The Shell Context Menu is now more aligned with the Windows context menu.
~ Chg: Navigation: The Icon view mode has been completely rewritten.
~ Chg: Navigation: The List view mode has been improved and fixed.
~ Chg: Navigation: The Thumb Flow size is now limited to 1/3 of the navigation pane’s height when auto-resized, preventing the list panel from being completely hidden.
~ Chg: Navigation: Implemented a mechanism to regain focus when it is stolen by the Viewer (e.g., in cases like SumatraPDF). 
- Fix: Viewer: Image transparency was not preserved when displayed.
- Fix: About Box: Always displayed "Portable" even for installed versions.
- Fix: About Box: Crashed if the Credits.html file was missing from the installation folder.
- Fix: About Box: The FileVoyager logo was not displayed.
- Fix: About Box: Links to credited resources were no longer working.
- Fix: File Operations: Some labels in the progress window showed internal values during the "gathering info" phase. These are now simply left blank.
- Fix: Search: File sizes were always shown in bytes, even if the user had selected another scale (KB, MB, etc.).
- Fix: File Operations: In the confirmation window, labels in German were not displaying correctly.
- Fix: Global: When FV was minimized in windowed mode, reactivating it from the taskbar caused flickering. (https://www.filevoyager.com/forums/topic/2-3-seconds-redrawing-time/)
- Fix: Archive: When creating Xz and BZip2 archives, the single file in the archive lost its extension. Now the archiving process preserves the file extension.
- Fix: Navigation: There was an issue with thumbnail drawing in thumb mode when the thumb size was changed from preferences.
- Fix: Navigation: The List view mode was crashing when using AppCommands (e.g., Backward/Forward buttons on a mouse) and no further navigation was possible in that direction.
- Fix: Navigation: Thumbnails were always shown in the infotip, even for items where the thumbnail was just the default icon.
- Fix: Navigation: In List view mode, the "Go to parent" (..), was displaying the last file’s thumbnail in its infotip.
- Fix: Viewer: The ExifTool metadata description were displayed wrongly for Multibyte Character Sets (MBCS).


Release 24.9.8
---------------
+ New: Global: "Preferences" has been added to the File top menu of the Ribbon
+ New: Preferences: Added a section to manage the Viewer settings
+ New: Viewer: Added the possibility to pre-select the Display Mode of SumatraPDF via the new Preferences page 
+ New: Viewer: Added a button to the menu to open the Preferences, and directly into the Viewer section of the Preferences
+ New: Viewer: Added the possibility to force a View Mode for a given file mask via Preference->Viewer. (https://www.filevoyager.com/forums/topic/the-log-file-preview-is-not-showing-in-text-mode/)
+ New: Navigation: The Edit display on renaming an item name now contains a validation button. This make it more visual that the renaming is not effective without confirmation (in opposition to File Explorer which doesn't need confirmation)
+ New: Viewer: The Viewer supports now all the file formats supported by the WIC plateform (Window Imaging Component). This brings support for many format and raw formats, depending on the Windows version and windows extensions used
+ New: Navigation: The context menu of the parent folder contains now a Create Item entry. It opens the Create Item dialog box of FV
+ New: Global: FileVoyager displays "(Admin Instance)" on its title bar when executed with Admin provileges
- Fix: Archive: Correction of a critical issue causing FV to completely crash when opening a ZIP or WIM file
- Fix: Search: Fixed bug where Search frees a Global Bitmap resource (updir thumbnail) on exit. As a result, the lists were broken when trying to access the resource
- Fix: Viewer: Fixed an uncontrolled warning when the file displayed in the Viewer was not found anymore (when deleted or moved) (https://www.filevoyager.com/forums/topic/file-has-been-removed-dialog-box/)
- Fix: Navigation: The copy/move of items to .. was broken 
- Fix: Navigation: The key presses on the Treeview (Enter/Backspace) where eaten by the list, and the focus was lost by the Treeview

Release 24.5.17
----------------
+ New: Language: Added Chinese Simplified (Translation by Wang Jingyu)
~ Chg: General: FileVoyager detects now if a disk/volume/partition supports Short/Alternate filenames (8.3). When a user wants to copy or display filenames and/or paths in 8.3 shortnames, and the disk/volume/partition doesn't store them, FileVoyager warns the user.
~ Chg: General: Added the directive {$DYNAMICBASE ON} to minimize the risk to be put in quarantine by some antiviruses. This directive provides secure protection against attacks based on buffer overrun.
- Fix: Navigation: Fixed the crashes of FileVoyager whan a mail or a URL was dragged and dropped on it (https://www.filevoyager.com/forums/topic/filevoyager-crashes-when-dragging-url-from-browser/).

Release 24.4.13
----------------
+ New: Viewer: Native support of AutoCAD DWG previews in thumbnails and viewer. It's not a full support of the DWG format, FV extracts the embedded preview thumbnail in the file if any
+ New: Viewer: When opening a supported Playlist file, the file was used to open tracks and it was not possible to view the source of the file. Now selecting another view mode than MM, eg Text, will display the content of the file
+ New: Viewer: It's now possible to pause/resume a multimedia file by clicking the visualisation window
+ New: Viewer: Added support of syntax highlighting for: Silktest, Meson, HQL & PIG, Hollywood 
~ Chg: General: Updated Scintilla API calls to the latest version
~ Chg: General: Updated VLC API calls to the latest version
~ Chg: General: Updated 7-Zip to version 23.1 from 9.20 (cfr to https://7-zip.org/history.txt for changes)
~ Chg: Diff: Significant improvement in File Comparison performances
- Fix: Viewer: Fixed the crashes of the Viewer when opening an SVG file (https://www.filevoyager.com/forums/topic/access-violation-for-svg-preview/)
- Fix: Navigation: Fixed an annoying behaviour that caused the file/folder list to jump in a certain scenario
- Fix: Navigation: The hidden and system files icons were not "ghosted" in Thumbnail and Large report views
- Fix: Diff: Solved an issue where the File Comparison was empty
- Fix: Viewer: Support of EPS file format is reintroduced after having been removed in previous version of FV due to potential crashes that have been fixed since then
- Fix: Viewer: In strict Windows setups like those in enterprises, the Viewer sometimes didn't launch due to AppLocker blocking ExifTool in the Temp folder. Now, the Viewer detects and resolves this issue. However, accessing metadata from ExifTool is not be possible in these cases.

Release 24.1.20
----------------
+ New: Viewer: Native support of Scalable Vector Graphics (SVG) file format in thumbnails and viewer (powered by Angus Johnson Image32 library - https://angusj.com/image32/Docs/_Body.htm)
+ New: Viewer: Support of JPEG XR Image (jxr & wdp) HD Photo, aka Windows HD Photo, file format in thumbnails and viewer
~ Chg: Navigation: The 'More' button in the DrivesPanel has now the Favorites icon
- Fix: Search: The Search was often failing due to an access violation of the search thread, after the first result was displayed (VCL changes directly from a thread are forbidden)
- Fix: General: Starting FV in minimized mode was not putting it in the Systray altough the option is activated (https://filevoyager.com/forums/topic/fv-now-starts-to-the-taskbar)
- Fix: General: Classic menu UI was broken. Menu was hidden by a wide panel (https://filevoyager.com/forums/topic/fv-24-1-1-0-breaks-classic-ui-menu/)
- Fix: Navigation: When editing a filename, pressing Ctrl+A was processed by the files/folders list (https://filevoyager.com/forums/topic/ctrl-a-behavior/)
- Fix: General: Some captions were not translated while translations were in the .lng files

Release 24.1.1
----------------
~ Chg: General: Complete code porting from Delphi 2006 to Delphi 10.4. This required a lot of refactoring and clean up of the code
~ Chg: Viewer: Introduced a retry mechanism when loading preview of HEIC files, because initial call is delayed by Windows (PENDING)
~ Chg: Archiving: Migration from 7-zip 9.20 to 23.01
~ Chg: Viewer: Migration from VLC 2.2.0 to 3.0.20
~ Chg: Viewer: Maps - Migration to HERE Maps API v3
~ Chg: Viewer: Maps - Implementation of Mercator Projection (https://en.wikipedia.org/wiki/Mercator_projection) to use with OpenStreetMap and HERE
~ Chg: Viewer: Maps - Implementation of Dark Mode (Styling for HERE, Google Maps and Bing Maps), forced via negative filter on OpenStreetMap and Yandex Maps
- Fix: Favorites: Fixed theme/skin coloring of the wizard used to add a favorite
- Fix: Viewer: Fixed theming/skinning of the playlist listbox
- Fix: General: Several fixes mainly to Hi-DPI support

Release 23.8.26
---------------
+ New: Navigation: Implemented "Natural Sorting" aka "Logical Order" when listing files/folders. Natural Sorting is used in Windows' File Explorer and many other file manager. It's possible to use the simple alphabetical sorting by disabling "Sort with Logical Order" in Preferences in the "Files and Folders color" section
- Fix: Viewer: "Go to" (Ctrl+G) was broken 
- Fix: Viewer: Spectrum (oscilloscope) was not working in certain modes + simplified code and removed asm dependencies
- Fix: Viewer: Fixed a bug that caused the display of flat files (txt, source code, ...) to start at the end of the file
- Fix: Viewer: Correction of the non latin UTF8 support, using Scintilla instead of Richedit
- Fix: Viewer: Removed a false positive error message display while viewing flat files in a Virtual Machine
- Fix: Navigation: The context menu inside an archive file was not themed correctly 
- Fix: Navigation: Calc Dir Size was causing some random unrequested file selections
- Fix: General: Fixed a concurrent race condition preventing some component to write to the ini file on program close, loosing some user settings
~ Chg: Viewer: Updated Richedit framework to latest version 
~ Chg: Navigation: Some UI change in the file operation confirmation window: "Remove selected" was interpreted as a delete while it's just used to remove items from the queue. The new position should be less ambiguous 

Release 23.5.7
----------------
+ New: General: Added Arabic and Dutch translations 
+ New: General: Added Single Instance capabilities (check in Preferences\General)
- Fix: General: Some bugfixes and language corrections

Release 22.11.13
----------------
+ New: Viewer: Integration of ExifTool (https://exiftool.org) instead of MediaInfo. ExifTool provides EXIF metadata for a very large number of file formats. As a consequence, MediaInfo is removed from the distribution.
+ New: Viewer: When they contain Geolocation, the map is now displayed in the Metadata pane also for videos and images other than TIFF and JPEG thanks to ExifTool
+ New: Viewer: The file path in the address bar can now be copied via contextmenu
- Fix: Viewer: Optimization of the metadata reading. Previously, metadata was read every time the view mode was changed. Now it's read once per file 
- Fix: General: The automatic check for a new version of FileVoyager was randomly failing due to an uninitialized variable 
- Fix: Viewer: The Viewer used to crash on close when it was open from the Directory Diff tool 
- Fix: Viewer: For some pictures, only the icon was displayed instead of their content
- Fix: Viewer: "Go To" (Ctrl+G) was failing to show when the default detected mode was not a text mode 
- Fix: General: Fixed a DPI issue for the search  
- Fix: General: Some memory leaks fixed and some code cleanup 
~ Chg: Viewer: The viewer now starts the subprocesses (Sumatra & ExifTool) as Windows' Jobs. That way, even if Viewer crashes, the subprocesses are terminated. This avoids leaving orphan processes running on user's machine

Release 22.9.15
----------------
+ New: Viewer: Upgrade to last Scintilla 5.3 brought syntax highlighting for: asciidoc, asl, cil, CoffeeScript, DataFlex, FSharp, JSON, LateX, MarkDown, Maxima, Nim, Raku, Registry, Rust, SAS, Swift, VisualProlog
+ New: Viewer: Upgrade to last SumatraPDF 3.4.1 brought support for annotations (add/remove/edit), High DPI support, rotation tools, command palette (press Ctrl+K), color inversion (can be used as Dark Mode - Press i)
+ New: Viewer: Support for Groove (.zpl) playlists
+ New: Viewer: Support for iTunes (.xml) playlists 
+ New: FTP: Migrated from OpenSSL 1.0.2 to OpenSSL 3  
+ New: FTP: Added support of MLSD commands  
+ New: FTP: Added support to TLS 1.3  
- Fix: Language: Completed Slovenian (Translation by Jadran Rudec)
- Fix: FTP: In some situations, an overwrite of an FTP file didn't raise a confirmation dialog 
- Fix: Preferences: Fixed some high DPI incompatibilities 
- Fix: General: Several minor bugfixes and code cleanup
~ Chg: Navigation: Drive panel now displays the drive names on the buttons 
~ Chg: Preferences: Refactored the file colorization panel that was bugged  


Release 22.3.19
----------------
+ New: Search: Added the possibility to preview a search result in the opposite panel
+ New: General: Basic support of Windows 11
+ New: Navigation: The infotip can be deactivated from the Preferences
+ New: Viewer: It's now possible to rename or delete a file while it's previewing in the Viewer
- Fix: General: Several fixes for high DPI rendering 
- Fix: Navigation: Fixed an issue breaking folders renaming in the Tree view
- Fix: Viewer: Pictures were not rotated (if needed) when the Metadata panel was not displayed 
- Fix: Viewer: The search in the Viewer was not working with non-Latin filenames  
- Fix: Navigation: Fixed another theming issue where text of the list was written black on black background 
- Fix: Navigation: Fixed the unreadable transaction log of the FTP(s) when in Dark mode   
~ Chg: General: German translation updated
~ Chg: AppBar: Added item's name in deletion confirmation dialog (when it was not the case, it was impossible to know which was about to be deleted)
~ Chg: General: Replaced the old "Browse For Folders" dialog with the new Windows experience (Normal Open File dialog + Select Folder button)  

Release 21.6.27
----------------
- Fix: Navigation: Fixed a theming issue where text of the list was written black on black background 
- Fix: Navigation: The "Rename" entry of the context menu was not working anymore
- Fix: Diff: Fixed a loading of file issue due to a unicode error

Release 21.1.2
----------------
+ New: General: Change from Ribbon to Simplified Ribbon. A more compact display wasting less space than the full Ribbon.
+ New: General: Dark theme is now available
+ New: General: Themes can be immersive (All the components will be themed when Immersive Theme is activated)
+ New: Navigation: Added Middle-click with mouse to close TabFolders
+ New: Viewer: Support display of HEIF pictures (.heic). Needs MS' HEIF Image Extensions (www.microsoft.com/en-us/p/heif-image-extensions/9pmmsr1cgpwg) or a third party codec provider (e.g. CopyTrans HEIC for Windows - www.copytrans.net/copytransheic)
+ New: Viewer: Now reacts to Keyboard's multimedia keys even if viewer window is not active
+ New: Navigation: By pressing the back button of the Mouse, the previous path is displayed. If it's a parent of the initial one, the initial folder will be focused 
+ New: Language: Added partial Portuguese translation (21% of total) (Translation started by Nelson André Hofer de Carvalho)
~ Chg: Viewer: The map displayed for images location is now working. It allows the use of OpenStreetMap, Yandex.Maps, HERE Maps (API Key needed), Bing Maps (API Key needed) and Google Maps (API Key needed)  
~ Chg: File Operations: Now the default button of the Operation Confirmation window is "Ok". It remains "Cancel" if the irrecoverable deletion is the chosen operation
~ Chg: AppBar: Cached icons are now named with the CRC32 hash of their path to avoid collision of two identical filenames having different icons
~ Chg: AppBar: Added more registry support to display more installed apps when clicking on "Add Programs..." in the contextmenu of the AppBar
- Fix: Navigation: Fixed an old bug when in thumbnail mode. The showing of thumbnail caused a memory leak. Showing a big number og thumbnails caused FV to crash. A refactoring of a big chunk of the app was necessary to fix the issue
- Fix: General: Removed a "debug" message that was showing when sending FV to system tray (minimize or close to tray)
- Fix: General: Some fixes to High DPI support 
- Fix: Fixed various UI issues
- Fix: Navigation: Shift+Alt+Enter to calculate sizes of the folders was failing when a file was focused
- Fix: Navigation: Mouse scroll interact now with the hovered pane, not the focused one as previously
- Fix: AppBar: Fixed quality issue of the icons
- Fix: TextDiff: Confirmation dialog was not translated
- Fix: Diff: Main diff window was not themed

Release 20.1.20
----------------
+ New: Language: Added Italian (Translation by Roberto Scassellati)
+ New: Language: Added Slovenian (Translation by Jadran Rudec)
~ Chg: Language: German translation updated (by Andras Ohlmann)
~ Chg: Language: Spanish translation updated (by Calebs)
~ Chg: Language: Russian translation updated (by Bonvivant)
~ Chg: Language: Hungarian translation updated (by Lajos Nagyvati aka LaMoLa)
- Fix: Diff: In TextDiff, an issue was randomly flagging lines as "modified"
- Fix: Viewer: The syntax highlighting was failing to load files with some unicode characters in the path
- Fix: Viewer: The map displayed for images with GPS Coordinates stopped working after Google change the access permissions to the API. FV uses now the OpenStreetMap.org API.
- Fix: Language: Some labels were not multilangual
- Fix: Navigation: Files/Folders dropped on FileVoyager from another application were handled as if they were virtual items (transitting by the Temp folder first) 


Release 19.12.25
----------------
+ New: Language: Added Hungarian (Translation by Lajos Nagyvati aka LaMoLa)
+ New: Viewer: Support of the Keyboard Multimedia keys (Play, Pause, Stop, Previous track and Next Track)
+ New: Navigation Lists: Support of the Backward and Forward buttons of mouses
+ New: Navigation Lists: A button with a funnel icon is now displayed on the CrumbBar when the list is filtered
+ New: Navigation Lists: Possibility to choose whether to show or not thumbnails in the infotips
+ New: Command line: Possibility to start FileVoyager with left and right folder passed in the command line (FileVoyager.exe -FVLeft "pathtoleftfolder" -FVRight "pathtorighfolder")
+ New: Diff: Possibility to use an external Diff tool
+ New: Diff: Possibility to define custom colors for internal Diff tool highlighting
+ New: Diff: In the folder comparison, it's now possible to show only the different items, hiding the unchanged ones
+ New: Diff: In the file comparison, it's now possible to jump from diff to diff. In previous versions of FV, the buttons were present but no code behind them
+ New: Navigation Trees: Now Treeview shows the overlays on icons
~ Chg: Filter: Added a button to reset the form fields
~ Chg: MainForm: Added the Splitter menu in the Ribbon (View\[Customize Pane]\Splitter) and the Classic menu (View\Splitter)
~ Chg: MainForm: The classic menu, if used, is now dockable to any side of the MainForm
~ Chg: Navigation Lists: In the 'Attributes' column, the property FILE_ATTRIBUTE_RECALL_ON_DATA_ACCESS is now shown as 'M' instead of 'R'
- Fix: AboutBox: The links to websites in the credits were opening inside the AboutBox. Now they open in the default browser
- Fix: Diff: In the folder comparison, it was impossible to collapse a node if a child was focused

Release 19.5.1
----------------
+ New: Hash: Integration with VirusTotal.com to get scan reports or make files submission to the web service
+ New: Language: Added German (Translation by Andreas Ohlmann)
+ New: Hash and VirusTotal tool can be invoked from the context menu (right click) of a file or folder
+ New: Navigation: File/folder attributes are now displaying the extended NTFS attributes
+ New: Setup: Language chosen is Setup is now used as startup language of FileFoyager
- Fix: Navigation: Corrected the wrong position of the crumb navigation menu on a multi-display setup
- Fix: FV used to rely a lot on GetShortPathName. On systems where GetShortPathName is not supported by a disk partition, FV behavior was downgraded. Now FV will work even if GetShortPathName is not supported
- Fix: Corrected an issue when a double click on MS office files opened them in archive mode instead of launching them with their associated applications
- Fix: Lateral drive pane was not updated in case of language change
- Fix: Size of components (buttons and labels) is adapted better to support languages that need more space
- Fix: Solved the web update check for new version

Release 17.4.7.0
----------------
+ New: FileVoyager now contains a Hash tool

Release 17.03.25.0
------------------
- Fix: Global: Complete rework of the various visual components to be DPI aware
- Fix: Navigation: Many issues due to the bad DPI awareness are now solved (eg: Shell Contextmenu unresponsive outside 96 dpi)
- Fix: Viewer: "Banned" the Blob audio visualization as it makes Win 10 crash (and maybe other versions too).

Release 17.01.01.0
------------------
+ New: Language: Added Swedish (Translation by Christer)
~ Chg: Licensing of FileVoyager changed from Creative Commons to Freeware EULA
~ Chg: When using custom colors for folder listing, the Selection background color is now used prior to the Odd background color
- Fix: When system context menu, for file or folder, is trigger through keyboard, the menu did not had the keyboard focus
- Fix: When showing, the operation confirmation window was topmost, even when FV was deactivated. Now it's topmost to FV only
- Fix: Comparison window's position and size are now restored
- Fix: Autoupdate doesn't download the installer when in Portable version 
- Fix: When Ribbon was collapsed, any change in the preferences made the Ribbon expanded again
- Fix: Preferences dialog is now closable using ESC

Release 16.12.10.0
------------------
+ New: Language: Added Spanish (Translation created by myself, so probably not as good as if a perfect spanish speaking one had done it)

Release 16.11.26.0
------------------
+ New: Navigation Panes: User can use checkboxes to select items
+ New: Navigation Panes: User can use a "Rectangle Marquee" by dragging from an empty area
~ Chg: General: Removed many pre-creation of secondary forms to speed up the starting
~ Chg: FTP(S): Upgraded OpenSSL dll to 1.0.2j and Synapse to support TLS 1.2 and the latest security levels
- Fix: Navigation Panes: Corrected a bug that caused a selection to be changed after a Refresh
- Fix: Navigation Panes: Resolved a bug causing item to be dragged even when they were not under drag beginning
- Fix: General: Removed a deprecated parameter that was causing FV to always start in maximized state, discarding the last window position

Release 16.10.15.0
-----------------
+ New: Folder Sync between panes, even between archive, FTP, ...
+ New: New tools: Compare and Sync for files and folders
+ New: Video rotation detection. If video rotated, switch automatically to embedded VLC (because it supports auto-rotation)
+ New: Thumbs in Thumb Flow are now clickable
+ New: Possibility to put the display of the folder tabs on top or bottom
+ New: Added 'Close to tray' feature
+ New: It possible to use FileVoyager as an independant viewer using -FVViewer parameter. Syntax: {PathToFV}\FileVoyager.exe -FVViewer {PathOfFileToView}. Where PathToFV is the path of FileVoyager's folder, and {PathOfFileToView} is the path of the file, well... to view
~ Chg: Made 'Show Hide App Bar' available from the Classic UI's menu
~ Chg: Disabled the theming of the shell's contextmenu as it's completely broken under Windows 10 and had too many bugs
~ Chg: VLC codecs updated to 2.2.0
~ Chg: Swapped Tools and Navigate menus in Classic UI toolbar
- Fix: Choice to show AppBar with 32x32 icons was not restored on restart
- Fix: Corrected a bug in the single-click for thumbnails. The last hovered item was selected even if mouse didn't last on it
- Fix: In the Colors options (preferences window), the preview of the color choices is restored
- Fix: In Viewer's Info Pane, the Rotation info of videos was not shown (must be hidden for non rotated video, but shown otherwise)
- Fix: In forlder lists, pressing SPACE to toggle the selection was not working for files anymore

Release 16.3.12.0
-----------------
+ New: It's possible now to switch between the Ribbon UI and the Classic UI
+ New: AppBar can now be displayed with big 32x32 icons
+ New: It's possible to navigate using single-click
~ Chg: Author news combo is more compact now

Release 16.3.6.0
-----------------
+ New: Implemented 64 bits stub for context menu. Now FV displays the 64 bits context menu of the Shell (if running on 64 bits system of course) 
~ Chg: Czech translation almost completed (99.9%) thanks to Vlastimil Vozdecky
- Fix: Drag & Drop - Resolved issue when dragdropping an item from winrt (win10) into FV
- Fix: Resolved conflict of ssleay and libeay dlls when an incompatible version is in a registered path of the running system. Solution is to put the dlls in the app folder

Release 16.2.20.0
-----------------
+ New: Czech translation (65% completed) - thanks to Vozdecky Vlastimil
~ Chg: Slovak translation (80% completed) - thanks to Martin Machara 
- Fix: Fixed a few English language errors

Release 16.1.29.0
-----------------
+ New: Added possibility to disable RSS newsfeed showing at the top of the main window
+ New: Added possibility to never check for update
~ Chg: Removed the AcidSpunk audio visualisation because it writes data in the registry and it's not possible to disable that
- Fix: Removed the creation of a "vis.ini" file that was accidentally put in c:\windows folder
- Fix: A bug in the metadata pane of the viewer that was repeating a line each time the file was scrolled (only in Syntax highlighting mode)

Release 16.1.10.0
-----------------
+ New: Added 3 new view modes for the files and folders listing: Large Icons, List and Thumbnails in grid mode
+ New: Added in the viewer an information that gives a lot of info about the file currently viewed. In the case of photos, when they contain their geolocalisation, a map of the position is displayed
~ Chg: Removed the info view from the viewer as it is made obsolete by the new Information pane
~ Chg: Added Slovak language (about 100% complete)
~ Chg: The viewer now handles and plays the supported playlists when they are open for view
~ Chg: Added eps, ps and xps files to file supported by the Sumatra mode in the viewer
- Fix: Correction of the preview handling of fonts
- Fix: Corrected the restore of the last position when FV is started
- Fix: Correction of the display of the file types when browsing a Library folder(win7/8/8.1/10)
- Fix: FTP(S) - Correction of many bugs

Release 15.6.15.0
-----------------
- Fix: Now permanently deleting or moving a Reparse Point (junctions, Symbolic link, ...) doesn't impact the target items anymore
- Fix: When items are sent to the Recycle Bin, the user is now warned if the Recycle Bin is disabled on the parent volume of the Items
+ New: Now FV is more adapted to handle DPI variantions and font change (all forms have been reingeneerd)
- Fix: Fixed copy and move issue when destination folder doesn't exist
+ New: Added parameter to enable/disable theming of the Shell Context menu (disabled by default)
+ New: Added parameter to enable/disable the underlining of the folders
+ New: Extended detection of supported Audio/Video formats to VLC supported formats
+ New: Now Last Accessed, Creation Date and Attributes columns are optional (hidden by default)
~ Chg: Now drag items over any empty space of the list is interpreted as a drag over the parent folder
+ New: Now context menu from background of the list shows the parent folder' shell menu
- Fix: Resolved issue with icons in treeview
- Fix: Resolved some display issues with UNICODE
- Fix: Made uniform the behaviour with Control Panel for 32bits app running on 64bits system (among Explorer list, Treeview and Crumbbar)
~ Chg: When copying selected items name/path/dir and no item was selected, the focused item was not taken into account resulting in nothing copied
- Fix: Enable/disable buttons in ribbon according to focused item and current path
~ Chg: Renamed second search column from 'Folder' to 'Full path'
~ Chg: View mode buttons are now of variable size, resulting in a more compact toolbar

Release 15.5.7.0
----------------
+ New: SumatraPDF integrated for viewing of eBooks (.epub, .mobi, .fb2, ...), of pdf, of comicbooks (.crb, .cbz, ...), of (o)xps, of djvu, ...
+ New: Support of operations on System32 on 64bits. System32 is handled now as a virtual folder
+ New: Added "New instance of FileVoyager as Admin" in File menu
+ New: When FV 32bits is running on 64bits, ControlPanel is not browsable in depth. Items are now opened outside FV
~ Chg: Removed drag source capability of TabFolders as it was not working correctly
~ Chg: Removed usage of system column sizes when in virtual folders. System sizes were not satisfying
~ Chg: Russian translation improved by muadib
~ Chg: Russian translation Locale Identifier value corrected
~ Chg: Translation file naming pattern now contain language name translated and language name in English. e.g: "Français (French).lng";
~ Chg: Blog feed is now updated at program startup and then, once a day
~ Chg: Links in aboutbox\credits are now clickable
- Fix: Suppression of a memory leak
- Fix: When in PEInfo mode, "File\Export to HTML" was wrongly enabled
- Fix: Repaired copy/move to '..'. When setting .. as destination folder, the operation was failing

Release 15.4.5.0
----------------
+ New: Added a author's post feed below FV's title bar
+ New: Added Russian language created and offered by Muadib
+ New: Added DKLang file in the "Lang" folder, so translators will have the source file to create translations
- Fix: File Exploration - Corrected the issue preventing file operations from/to virtual folders (like smartphones folders)
- Fix: Viewer - Repaired the syntax highlighting feature

Release 15.3.1.0
----------------
+ Initial release
